//
//  main.cpp
//  PD_HW403
//
//  Created by 李昱賢 on 2017/3/11.
//  Copyright © 2017年 李昱賢. All rights reserved.
//

#include <iostream>
using namespace std;
int seatList[51][20];
int n = 0;
int m = 0;

// print the array list
void printList();
// check the seat with seatNum is empty from station s to station t
bool thisSectionEmpty(int seatNum, int s, int t);
// book the seat with seatNum from station s to station t for passenger
void bookThisSection(int passengerNum, int seatNum ,int s, int t);

int main() {
    
    cin >> n >> m;
    for (int i = 0; i < n+1; i++){
        for (int j = 0; j < m; j++){
            seatList[i][j] = 0;
        }
    }
    int s = 0;
    int t = 0;
    int passengerCount = 1;
    while(cin >> s >> t){
        if (s < t){
            //Check whether recent seat can satisfy this passenger
            if (thisSectionEmpty(n, s, t)){
                bool isBooked = false;
                // Can find a seat for this passenger through this trip
                for (int i = 0; i < n; i++){
                    if (thisSectionEmpty(i, s, t)){
                        bookThisSection(passengerCount, i, s, t);
                        isBooked = true;
                        break;
                    }
                }
                // This passenger has to change his seat
                if (!isBooked){
                    while (s < t) {
                        for (int i = 0; i < n; i++){
                            if (thisSectionEmpty(i, s, s+1)){
                                bookThisSection(passengerCount, i, s, s+1);
                                s++;
                                break;
                            }
                        }
                    }
                    
                }
                
            }
        }
        passengerCount++;
    }
    printList();
    return 0;
}

void printList(){
    for (int i = 0; i < n; i++){
        for (int j = 0; j < m-1; j++){
            cout << seatList[i][j] << " ";
        }
        cout << seatList[i][m-1];
        cout << endl;
    }
    
};

bool thisSectionEmpty(int seatNum, int s, int t){
    bool isEmpty = true;
    for (int i = s; i < t; i++){
        if (seatList[seatNum][i] != 0){
            isEmpty = false;
            break;
        }
    }
    
    return isEmpty;
};

void bookThisSection(int passengerNum, int seatNum ,int s, int t){
    for (int i = s; i < t; i++){
        seatList[seatNum][i] = passengerNum;
        bool isSectionFull = true;
        for (int j = 0; j < n; j++){
            if (seatList[j][i] == 0){
                isSectionFull = false;
            }
        }
        if (isSectionFull)
            seatList[n][i] = 1;
    }
};
